Need help please ^ ^

Discussion in 'iPod touch' started by i nick nova i, Apr 21, 2009.

  1. i nick nova i

    i nick nova i New Member

    Joined:
    May 31, 2008
    Messages:
    40
    Likes Received:
    0
    I've JB my ipod before but i just upgraded my itunes to 2.2 and what program allows you to JB your ipod again? I havnt done this in awhile and i went to www.ziphone.org and DL'd it and it says 1.1.4FW any1 know where I can get a good program to do this?
  2. leadergo

    leadergo Active Member

    Joined:
    Aug 2, 2008
    Messages:
    2,384
    Likes Received:
    6
    Quickpwn. upgrade to 2.2.1, the latest FW, then use Quickpwn.
  3. holbikwolff10

    holbikwolff10 New Member

    Joined:
    Jun 30, 2008
    Messages:
    163
    Likes Received:
    0
    Device:
    iPhone 3G (Black)
    Yeah, what he said.
  4. studangerous

    studangerous Super Moderator Emeritus Staff Member

    Joined:
    Dec 2, 2007
    Messages:
    5,975
    Likes Received:
    30
    Device:
    iPhone 4 (Black)
    Note: Upgrade to 2.2 and not 2.2.1 IF you have an iPhone and need to use yellowsn0w to unlock the baseband for other operators.
  5. 1YNQMWQVHZ

    1YNQMWQVHZ Active Member

    Joined:
    Dec 17, 2008
    Messages:
    1,334
    Likes Received:
    0
    Yeah, make sure you don't upgrade to 2.2.1 if you have an iPhone and you want to unlock it, because you are not able to. You can use 2.2 to Jailbreak and Unlock it.

Share This Page